package com.ruoyi.ie.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ie.mapper.AMarjorPlanMapper;
import com.ruoyi.ie.domain.AMarjorPlan;
import com.ruoyi.ie.service.IAMarjorPlanService;

/**
 * 专业计划要求Service业务层处理
 * 
 * @author voluntary
 * @date 2023-11-26
 */
@Service
public class AMarjorPlanServiceImpl implements IAMarjorPlanService 
{
    @Autowired
    private AMarjorPlanMapper aMarjorPlanMapper;

    /**
     * 查询专业计划要求
     * 
     * @param id 专业计划要求主键
     * @return 专业计划要求
     */
    @Override
    public AMarjorPlan selectAMarjorPlanById(Long id)
    {
        return aMarjorPlanMapper.selectAMarjorPlanById(id);
    }

    @Override
    public List<AMarjorPlan> selectAMarjorPlanByIds(Long[] ids)
    {
        return aMarjorPlanMapper.selectAMarjorPlanByIds(ids);
    }

    /**
     * 查询专业计划要求列表
     * 
     * @param aMarjorPlan 专业计划要求
     * @return 专业计划要求
     */
    @Override
    public List<AMarjorPlan> selectAMarjorPlanList(AMarjorPlan aMarjorPlan)
    {
        return aMarjorPlanMapper.selectAMarjorPlanList(aMarjorPlan);
    }

    /**
     * 新增专业计划要求
     * 
     * @param aMarjorPlan 专业计划要求
     * @return 结果
     */
    @Override
    public int insertAMarjorPlan(AMarjorPlan aMarjorPlan)
    {
        return aMarjorPlanMapper.insertAMarjorPlan(aMarjorPlan);
    }

    /**
     * 修改专业计划要求
     * 
     * @param aMarjorPlan 专业计划要求
     * @return 结果
     */
    @Override
    public int updateAMarjorPlan(AMarjorPlan aMarjorPlan)
    {
        return aMarjorPlanMapper.updateAMarjorPlan(aMarjorPlan);
    }

    /**
     * 批量删除专业计划要求
     * 
     * @param ids 需要删除的专业计划要求主键
     * @return 结果
     */
    @Override
    public int deleteAMarjorPlanByIds(Long[] ids)
    {
        return aMarjorPlanMapper.deleteAMarjorPlanByIds(ids);
    }

    /**
     * 删除专业计划要求信息
     * 
     * @param id 专业计划要求主键
     * @return 结果
     */
    @Override
    public int deleteAMarjorPlanById(Long id)
    {
        return aMarjorPlanMapper.deleteAMarjorPlanById(id);
    }
}
